Package twisted :: Package internet :: Module address :: Class _ServerFactoryIPv4Address

[frames | no frames]

## Class _ServerFactoryIPv4Address

     object --+
              |
    IPv4Address --+
                  |
                 _ServerFactoryIPv4Address

Backwards compatability hack. Just like IPv4Address in practice.

Method Summary
| `__eq__(self, other)`
Inherited from IPv4Address
| ``__init__`(self, type, host, port, _bwHack)`
| ``__getitem__`(self, index)`
| ``__getslice__`(self, start, stop)`
| ``__str__`(self)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Instance Variable Summary
Inherited from IPv4Address
| `host`: A string containing the dotted-quad IP address.
| `port`: An integer representing the port number.
| `type`: A string describing the type of transport, either 'TCP' or 'UDP'.

Class Variable Summary
Inherited from IPv4Address
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IAd...`

Generated by Epydoc 2.0 on Sat May 15 20:08:17 2004 | http://epydoc.sf.net